<template>

    <div>
        <v-card class="d-flex">
            <v-row class="mr-md-0">
                <v-col cols="12" md="5" class="py-10">

                    <v-form @submit.prevent="register" class="py-5 px-6" autocomplete="off" lazy-validation >
                        <v-row>
                            <v-col cols="12">
                                <v-text-field :label="$t('register.name') " type="text" v-model.trim="form.name" :rules="[rules.required, rules.minLength(3, form.name), rules.maxLength(200, form.name)]"/>
                            </v-col>

                            <v-col cols="12">
                                <v-text-field :label="$t('register.email')" dir="auto" v-model.trim="form.email" :rules="[rules.requiredRule(form.email) ,rules.emailRule(form.email)]"/>
                            </v-col>

                            <v-col cols="12">
                                <v-text-field :label="$t('register.password')" dir="auto" v-mode.trim="form.password" :rules="[rules.required, rules.password]"/>
                            </v-col>
                            <v-col cols="12">
                                <!--<button color="#000" type="submit" name="button" id="btn-register">-->
                                <!--    ثبت نام-->
                                <!--</button>-->
                                <v-btn type="submit" color="#4c4c4c" class="w-100 buy-btn" value="Submit" >ثبت نام</v-btn>
                            </v-col>
                        </v-row>
                    </v-form>
                </v-col>
                <v-col cols="7" class="mobile-d-none left-box">
                    <v-btn class="no-bg" @click="dialog = false" text>
                        <i class="icon icon-close icon-30"></i>
                    </v-btn>
                    <v-col cols="12" md="12" class="text-first">
                        <p class="title-top" v-html="$t('register.title1')"></p>

                        <p class="english-text" v-html="$t('register.link')"></p>
                    </v-col>
                </v-col>
            </v-row>
        </v-card>
    </div>


</template>

<script>
import {ValidationObserver, ValidationProvider} from 'vee-validate';
import UserService from '@/services/UserService';
import {persianNumber} from '@/utils/helpers';
import Validators from "@/utils/validators";
import {mapState} from 'vuex';
import axios from "axios";

export default {
    name: 'Register',
    components: {
        ValidationObserver,
        ValidationProvider
    },
    data() {

        return {
            buyFormValid: false,
            rules: {
                phoneRule: Validators(this.$i18n).phoneRule,
                isNumericRule: Validators(this.$i18n).isNumericRule,
                requiredRule: Validators(this.$i18n).requiredRule,
                emailRule: Validators(this.$i18n).emailRule,
                min: Validators(this.$i18n).minRule,
                max: Validators(this.$i18n).maxRule,
                minLength: Validators(this.$i18n).minLengthRule,
                maxLength: Validators(this.$i18n).maxLengthRule,
                email: Validators(this.$i18n).emailRule,
                phone: Validators(this.$i18n).phoneRule,
            },
            form: this.createFreshRegister(),

        }
    },
    methods: {
        register() {
            console.log('there was a form ' +  this.form)
            // axios.get('http://localhost:3000/login?q=' + this.form.email).then(resp => {
            //     console.log('there was a email ' + resp.data[0])
            //
            // })
            // if (this.$refs.buyForm.validate()) {
                this.$store
                    .dispatch('user/createRegister', this.form).then(() => {
                    console.log('there was a form ' +  this.form)
                    this.form = this.createFreshRegister()
                }).catch(() => {
                    console.log('there was a problem')
                })


        },
        createFreshRegister() {

            const id = Math.floor(Math.random() * 10000000)
            return {
                id: id,
                name: '',
                email: '',
                password: ''
            }
        }
    },
}
</script>

<style lang="scss" scoped>
::v-deep .v-dialog {
    max-width: 900px;
    border-radius: 0;
}

.v-card {
    overflow: hidden;
    background-color: #ffffff;
    border-radius: 4px;
    border: 2px solid #fff;
}

.left-box {
    background-color: #ccc;

    .text-first {
        text-align: center;
        margin-bottom: 170px;

        @media #{map-get($display-breakpoints, 'sm-and-down')} {
            margin-bottom: 85px;
        }

        .title-top {
            text-align: center;
            font-size: 30px !important;
            margin-bottom: 60px !important;
        }

        .english-text {
            text-transform: uppercase;
            font-size: 20px;
            font-weight: 500;
        }

    }
}

#total-price {
    width: 100%;
    padding: 16px;
    background-color: rgba(12, 167, 92, 0.1);
    color: #0ca75c;

    label {
        font-size: 14px;
        font-weight: normal;
        display: block;
    }

    span {
        font-size: 24px;
        font-weight: bold;
        letter-spacing: -2px;
    }
}

#btn-register {
    width: 100%;
    border: 1px solid #000;
    height: 50px;
    color: black;
}
</style>
